0

I'm currently trying to complete the sample data installation but when i run the command.

php magento2/bin/magento setup:upgrade

I keep getting the following errors in the terminal i'll paste it up to where it's displaying the error.

Module 'Magento_ProductVideo':
Module 'Magento_Captcha':
Module 'Magento_Reports':
Module 'Magento_RequireJs':
Module 'Magento_Review':
Module 'Magento_CatalogSampleData':



  [ReflectionException]                                                        
  Class Magento\Catalog\Model\ResourceModel\Product\Attribute\Backend\Media d  
  oes not exist                                                                






  [ReflectionException]                                                        
  Class Magento\Catalog\Model\ResourceModel\Product\Attribute\Backend\Media d  
  oes not exist

So i investigated further and in the error logs i found the following.

a:4:{i:0;s:1531:"Please upgrade your database: Run "bin/magento setup:upgrade" from the Magento root directory. 
The following modules are outdated:
Magento_CatalogSampleData data: current version - none, required version - 2.0.0
Magento_BundleSampleData data: current version - none, required version - 2.0.0
Magento_OfflineShippingSampleData data: current version - none, required version - 2.0.0
Magento_DownloadableSampleData data: current version - none, required version - 2.0.0
Magento_ConfigurableSampleData data: current version - none, required version - 2.0.0
Magento_ThemeSampleData data: current version - none, required version - 2.0.0
Magento_ProductLinksSampleData data: current version - none, required version - 2.0.0
Magento_ReviewSampleData data: current version - none, required version - 2.0.0
Magento_CatalogRuleSampleData data: current version - none, required version - 2.0.0
Magento_SwatchesSampleData data: current version - none, required version - 2.0.0
Magento_GroupedProductSampleData data: current version - none, required version - 2.0.0
Magento_TaxSampleData data: current version - none, required version - 2.0.0
Magento_CmsSampleData data: current version - none, required version - 2.0.0
Magento_SalesRuleSampleData data: current version - none, required version - 2.0.0
Magento_SalesSampleData data: current version - none, required version - 2.0.0
Magento_WidgetSampleData data: current version - none, required version - 2.0.0
Magento_WishlistSampleData data: current version - none, required version - 2.0.0";i:1;s:2789:"#0 [internal function]: Magento\Framework\Module\Plugin\DbStatusValidator->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#1 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/Interception/Chain/Chain.php(67): call_user_func_array(Array, Array)
#2 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/Interception/Chain/Chain.php(63): Magento\Framework\Interception\Chain\Chain->invokeNext('Magento\\Framewo...', 'dispatch', Object(Magento\Framework\App\FrontController\Interceptor), Array, 'front-controlle...')
#3 /Applications/MAMP/htdocs/magento2/app/code/Magento/PageCache/Model/App/FrontController/VarnishPlugin.php(55): Magento\Framework\Interception\Chain\Chain->Magento\Framework\Interception\Chain\{closure}(Object(Magento\Framework\App\Request\Http))
#4 [internal function]: Magento\PageCache\Model\App\FrontController\VarnishPlugin->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#5 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/Interception/Chain/Chain.php(67): call_user_func_array(Array, Array)
#6 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/Interception/Interceptor.php(136): Magento\Framework\Interception\Chain\Chain->invokeNext('Magento\\Framewo...', 'dispatch', Object(Magento\Framework\App\FrontController\Interceptor), Array, 'front-controlle...')
#7 /Applications/MAMP/htdocs/magento2/app/code/Magento/PageCache/Model/App/FrontController/BuiltinPlugin.php(68): Magento\Framework\App\FrontController\Interceptor->Magento\Framework\Interception\{closure}(Object(Magento\Framework\App\Request\Http))
#8 [internal function]: Magento\PageCache\Model\App\FrontController\BuiltinPlugin->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#9 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/Interception/Interceptor.php(140): call_user_func_array(Array, Array)
#10 /Applications/MAMP/htdocs/magento2/var/generation/Magento/Framework/App/FrontController/Interceptor.php(26): Magento\Framework\App\FrontController\Interceptor->___callPlugins('dispatch', Array, Array)
#11 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/App/Http.php(115): Magento\Framework\App\FrontController\Interceptor->dispatch(Object(Magento\Framework\App\Request\Http))
#12 /Applications/MAMP/htdocs/magento2/lib/internal/Magento/Framework/App/Bootstrap.php(258): Magento\Framework\App\Http->launch()
#13 /Applications/MAMP/htdocs/magento2/index.php(39): Magento\Framework\App\Bootstrap->run(Object(Magento\Framework\App\Http))
#14 {main}";s:3:"url";s:10:"/magento2/";s:11:"script_name";s:19:"/magento2/index.php";}

So i ran the command

bin/magento setup:upgrade

And i'm getting the same error in the terminal that i posted above i'm not too sure that to do from here.

0

If you use Magento form git repo than you need install sample data from repo too.

Please see documentation how to deploy from repo

  • So i've done this but i can't seem to link the sample data to my magenta install. I'm using MAMP btw and this is the command i'm running. php -f magento-sample-data/dev/tools/build-sample-data.php -- --ce-source="Applications/MAMP/htdocs/magneto2" It's saying it can't find the folder – Tunds Jan 30 '16 at 15:36
  • Try run command from sample data root folder – KAndy Jan 30 '16 at 15:59
  • Also you need / before Application: --ce-source="/Applications/MAMP/htdocs/magneto2" – KAndy Jan 30 '16 at 16:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.